JcaSignerId (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms.jcajce

## Class JcaSignerId

- java.lang.Object
- - org.bouncycastle.cms.SignerId
  - - org.bouncycastle.cms.jcajce.JcaSignerId

- All Implemented Interfaces:
    java.lang.Cloneable, org.bouncycastle.util.Selector

      public class JcaSignerId
      extends SignerId

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcaSignerId(javax.security.auth.x500.X500Principal issuer, java.math.BigInteger serialNumber)` Construct a signer identifier based on the provided issuer and serial number..
    `JcaSignerId(javax.security.auth.x500.X500Principal issuer, java.math.BigInteger serialNumber, byte[] subjectKeyId)` Construct a signer identifier based on the provided issuer, serial number, and subjectKeyId..
    `JcaSignerId(java.security.cert.X509Certificate certificate)` Construct a signer identifier based on the issuer, serial number and subject key identifier (if present) of the passed in certificate.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.cms.SignerId

      `clone, equals, getIssuer, getSerialNumber, getSubjectKeyIdentifier, hashCode, match`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcaSignerId

          public JcaSignerId(java.security.cert.X509Certificate certificate)

      Construct a signer identifier based on the issuer, serial number and subject key identifier (if present) of the passed in certificate.
      Parameters:
        `certificate` - certificate providing the issue and serial number and subject key identifier.

    - #### JcaSignerId

          public JcaSignerId(javax.security.auth.x500.X500Principal issuer,
                     java.math.BigInteger serialNumber)

      Construct a signer identifier based on the provided issuer and serial number..
      Parameters:
        `issuer` - the issuer to use.
        `serialNumber` - the serial number to use.

    - #### JcaSignerId

          public JcaSignerId(javax.security.auth.x500.X500Principal issuer,
                     java.math.BigInteger serialNumber,
                     byte[] subjectKeyId)

      Construct a signer identifier based on the provided issuer, serial number, and subjectKeyId..
      Parameters:
        `issuer` - the issuer to use.
        `serialNumber` - the serial number to use.
        `subjectKeyId` - the subject key ID to use.